VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "comdlg32.ocx"
Begin VB.MDIForm mdiStakeCal 
   BackColor       =   &H8000000C&
   Caption         =   "Stake Calendar"
   ClientHeight    =   5805
   ClientLeft      =   165
   ClientTop       =   735
   ClientWidth     =   8955
   LinkTopic       =   "MDIForm1"
   StartUpPosition =   3  'Windows Default
   Begin MSComDlg.CommonDialog cdlMain 
      Left            =   4200
      Top             =   0
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuFileOpenDatabase 
         Caption         =   "&Open Database"
      End
      Begin VB.Menu mnuFileClose 
         Caption         =   "&Close Database"
      End
      Begin VB.Menu mnuFileBar 
         Caption         =   "-"
      End
      Begin VB.Menu mnuFileExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuEdit 
      Caption         =   "&Edit"
      Begin VB.Menu mnuEditCalendar 
         Caption         =   "&Calendar"
      End
      Begin VB.Menu mnuEditRecur 
         Caption         =   "Add &Recurring Events"
      End
   End
   Begin VB.Menu mnuCreate 
      Caption         =   "&Create Calendar"
      Begin VB.Menu mnuEditTypes 
         Caption         =   "Select Event &Types"
      End
      Begin VB.Menu mnuUnits 
         Caption         =   "Select &Units"
      End
      Begin VB.Menu mnuFileSelect 
         Caption         =   "Select &Events"
      End
      Begin VB.Menu mnuFileHTML 
         Caption         =   "&Generate Calendar"
      End
      Begin VB.Menu mnuCreateVCal 
         Caption         =   "Create &VCal File"
      End
   End
End
Attribute VB_Name = "mdiStakeCal"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Dim strConnectionString As String


Private Sub mnuCreateVCal_Click()
    frmCreateVCal.Show
End Sub

Private Sub mnuEditCalendar_Click()
    If Not DataBaseOpen Then
        MsgBox ("You must first open the database")
        Exit Sub
    End If
    frmEdit.Show
End Sub

Private Sub mnuEditRecur_Click()
    If Not DataBaseOpen Then
        MsgBox ("You must first open the database")
        Exit Sub
    End If
    frmRecur.Show
End Sub

Private Sub mnuEditTypes_Click()
    If Not DataBaseOpen Then
        MsgBox ("You must first open the database")
        Exit Sub
    End If
    frmEventTypes.Show
End Sub

Private Sub mnuFileClose_Click()
    dbConnection.Close
    Set dbConnection = Nothing
    DatabaseName = ""
End Sub

Private Sub mnuFileExit_Click()
    If CalForm <> "" Then
        Unload frmCalendar
    End If
    Unload Me
End Sub

Private Sub mnuFileHTML_Click()
    If Not DataBaseOpen Then
        MsgBox ("You must first open the database")
        Exit Sub
    End If
    If NumEventTypes = 0 Then
        If MsgBox("You have not selected event types, so all types of events will be included in the calendar.  Is that what you want?", vbYesNo, "All event types will be included") <> vbYes Then
            Exit Sub
        End If
    ElseIf NumEvents = 0 Then
        If MsgBox("You have not selected any events, so all events for the selected types will be included.  Is that what you want?", vbYesNo, "All Events will be included") <> vbYes Then
            Exit Sub
        End If
    End If

    frmCreateHTML.Show
End Sub

Private Sub mnuFileOpenDatabase_Click()
    Dim dbname As String
    
    If DatabaseName <> "" Then
        Call MsgBox("Database already open", vbOKOnly, "Request ignored")
        Exit Sub
    End If

    cdlMain.FileName = ""
    cdlMain.InitDir = App.Path
    dbname = ""
    cdlMain.Filter = "Access Database (*.mdb)|*.mdb|Access template (*.mde)|*.mde|All files|*.*"
    cdlMain.ShowOpen
    If Not cdlMain.CancelError Then
        dbname = cdlMain.FileName
        strConnectionString = BuildConnectionString(dbname)
        dbConnection.Open strConnectionString
        ' MsgBox ("Database " & dbname & " opened")
        DatabaseName = dbname
    End If

End Sub

Private Sub mnuFileSelect_Click()
    If Not DataBaseOpen Then
        MsgBox ("You must first open the database")
        Exit Sub
    End If
    If NumEventTypes = 0 Then
        If MsgBox("You have not selected event types, so all types of events will be included in the calendar.  Is that what you want?", vbYesNo, "All event types will be included") <> vbYes Then
            Exit Sub
        End If
    End If
    frmSelectEvents.Show
End Sub

Private Sub mnuUnits_Click()
    If Not DataBaseOpen Then
        MsgBox ("You must first open the database")
        Exit Sub
    End If
    frmSelectUnits.Show
End Sub

Private Sub mnuViewCalendar_Click()
    frmCalendar.Show
End Sub
